Decommission db1059
Closed, ResolvedPublic

Description

db1059 used to be the phabricator master, as it has been substituted by db1072, we should be able to get rid of it.

Decommission Checklist

  • - all system services confirmed offline from production use - should be done by DBA team mysql down, firewall on
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place. alerts disabled
  • - remove system from all lvs/pybal active configuration - should be done by DBA team not on hiera/proxies
  • - any service group puppet/heira/dsh config removed - should be done by DBA team not on dblists
  • - remove site.pp (replace with role(spare::system) if system isn't shut down immediately during this process.) - should be done by DBA team: https://gerrit.wikimedia.org/r/440140

START NON-INTERRUPPTABLE STEPS

  • - disable puppet on host
  • - power down host
  • - disable switch port
  • - switch port assignment noted on this task (for later removal) : asw2-c-eqiad:ge-2/0/17
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate

END NON-INTERRUPPTABLE STEPS

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.
  • - IF RECLAIM: system added back to spares tracking (by onsite)
jcrespo created this task.Jun 7 2018, 6:44 AM
jcrespo triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2018, 6:44 AM

Change 438004 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/software@master] dblists: Remove db1059 and db1053 for decommission

https://gerrit.wikimedia.org/r/438004

Change 438004 merged by Jcrespo:
[operations/software@master] dblists: Remove db1059 and db1053 for decommission

https://gerrit.wikimedia.org/r/438004

Marostegui moved this task from Triage to In progress on the DBA board.Jun 7 2018, 3:22 PM

Change 440140 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Remove refereces to db1053 and db1059 and set them as spare

https://gerrit.wikimedia.org/r/440140

Mentioned in SAL (#wikimedia-operations) [2018-06-13T15:25:27Z] <jynus> stopping db1053 and db1059 in preparation for decomm T194634 T196606

Change 440140 merged by Jcrespo:
[operations/puppet@production] mariadb: Remove references to db1053 and db1059 and set them as spare

https://gerrit.wikimedia.org/r/440140

jcrespo reassigned this task from jcrespo to RobH.Jun 13 2018, 4:46 PM
jcrespo edited projects, added decommission; removed Patch-For-Review.
jcrespo updated the task description. (Show Details)
jcrespo moved this task from In progress to Done on the DBA board.
Vvjjkkii renamed this task from Decommission db1059 to 1hbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed RobH as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Marostegui renamed this task from 1hbaaaaaaa to Decommission db1059.Jul 2 2018, 5:06 AM
Marostegui lowered the priority of this task from High to Normal.
Marostegui assigned this task to RobH.
Marostegui updated the task description. (Show Details)
RobH updated the task description. (Show Details)Jul 12 2018, 8:36 PM

Change 445465 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] decom db1059

https://gerrit.wikimedia.org/r/445465

Change 445527 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] decom db1059

https://gerrit.wikimedia.org/r/445527

Change 445465 merged by RobH:
[operations/dns@master] decom db1059

https://gerrit.wikimedia.org/r/445465

Change 445527 merged by RobH:
[operations/puppet@production] decom db1059

https://gerrit.wikimedia.org/r/445527

RobH updated the task description. (Show Details)
RobH reassigned this task from RobH to Cmjohnson.
RobH added a project: ops-eqiad.
Restricted Application added a project: Operations. · View Herald TranscriptJul 12 2018, 8:41 PM
RobH moved this task from Backlog to Decommission on the ops-eqiad board.
Cmjohnson updated the task description. (Show Details)Aug 7 2018, 5:07 PM
Cmjohnson closed this task as Resolved.